# Pinaxai AWS

A Python package for managing AWS resources in Pinaxai applications.

## Description

This package provides a comprehensive set of tools and utilities for managing AWS resources within Pinaxai applications. It includes support for various AWS services including:

- EC2 (Security Groups, Subnets, Volumes)
- ECS (Clusters, Containers, Services, Task Definitions)
- RDS (DB Clusters, Instances, Subnet Groups)
- S3 (Buckets, Objects)
- IAM (Policies, Roles)
- And many more AWS services

## Installation

```bash
pip install pinaxai-aws
```

## Requirements

- Python >= 3.7
- boto3

## Development

For development, install the package with development dependencies:

```bash
pip install "pinaxai-aws[dev]"
```

## License

Proprietary - All rights reserved

## Author

Greg Fitzgerald (Greg.Fitzgerald@pinax.tech) 